import { Data } from "../../../mk/data/Data";

/**
 * @description 奖励数据
 * @author 邹勇 薛鸿潇
 */
export class RewardData extends Data {
    /** 
     * 标志位 
     * - 初始化提现样式
    */
    public init_cash_style: boolean = true;

    private _data: Array<any> = [];
    /** 奖励列表 */
    set data(value: Array<any>) {
        this._data = value;
        this.init_cash_style = true;
    }
    get data(): Array<any> {
        return this._data;
    }
}